package io.modules.item.service;

import io.common.service.CrudService;
import io.modules.item.dto.HouseDTO;
import io.modules.item.entity.HouseEntity;
import io.modules.item.entity.ViewEntity;

import java.util.List;

/**
 * 主表
 */
public interface HouseService extends CrudService<HouseEntity, HouseDTO> {

    List<HouseEntity> score();

    List<Object> query();

    List<ViewEntity> view1();

    List<HouseEntity> commit();

    List<HouseEntity> listUser(Long userId);
}
